%define upstream_name    Exporter
%define upstream_version 5.67

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Implements default import method for modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.50.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The Exporter module implements an 'import' method which allows a module to
export functions and variables to its users' namespaces. Many modules use
Exporter rather than implementing their own 'import' method because
Exporter provides a highly flexible interface, with an implementation
optimised for the common case.

Perl automatically calls the 'import' method when processing a 'use'
statement for a module. Modules and 'use' are documented in the perlfunc
manpage and the perlmod manpage. Understanding the concept of modules and
how the 'use' statement operates is important to understanding the
Exporter.

How to Export
    The arrays '@EXPORT' and '@EXPORT_OK' in a module hold lists of symbols
    that are going to be exported into the users name space by default, or
    which they can request to be exported, respectively. The symbols can
    represent functions, scalars, arrays, hashes, or typeglobs. The symbols
    must be given by full name with the exception that the ampersand in
    front of a function is optional, e.g.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 5.670.0-4.mga3
+ Revision: 405475
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5.670.0-3.mga3
+ Revision: 367001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 5.670.0-2.mga3
+ Revision: 315509
- perl 5.16.2 rebuild

* Wed Sep 26 2012 jquelin <jquelin> 5.670.0-1.mga3
+ Revision: 297940
- update to 5.67

* Wed Jan 04 2012 jquelin <jquelin> 5.660.0-1.mga2
+ Revision: 190530
- update to 5.66

* Fri Nov 04 2011 jquelin <jquelin> 5.650.0-2.mga2
+ Revision: 162806
- take priority over module bundled with perl 5.14.2

* Fri Sep 02 2011 jquelin <jquelin> 5.650.0-1.mga2
+ Revision: 137985
- update to 5.65

* Thu Jan 20 2011 jquelin <jquelin> 5.630.0-1.mga1
+ Revision: 26108
- mageia rebuild
- imported package perl-Exporter

